# Amuse: amuse::SoundMacroState::Evaluator::Component Struct Reference

amuse::SoundMacroState::Evaluator::Component Struct Reference

`#include <SoundMacroState.hpp>`

Collaboration diagram for amuse::SoundMacroState::Evaluator::Component:

## Public Member Functions

| Component (uint8_t midiCtrl, float scale, Combine combine, VarType varType)

## Public Attributes

uint8_t | m_midiCtrl
float | m_scale
Combine | m_combine
VarType | m_varType

## Detailed Description

Represents one term of the formula assembled via *_SELECT commands

Definition at line 168 of file SoundMacroState.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/SoundMacroState.hpp